Package com.norconex.commons.lang.convert

# Class GenericJsonDeserializer<T>

java.lang.Object
com.fasterxml.jackson.databind.JsonDeserializer<T>
com.norconex.commons.lang.convert.GenericJsonDeserializer<T>

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.deser.NullValueProvider`

Direct Known Subclasses:
  `CharsetConverter.JsonDeserializer`, `ContentTypeConverter.JsonDeserializer`, `DimensionConverter.JsonDeserializer`, `DurationConverter.JsonDeserializer`, `FileConverter.JsonDeserializer`, `InstantConverter.JsonDeserializer`, `LocalDateTimeConverter.JsonDeserializer`, `LocaleConverter.JsonDeserializer`, `PathConverter.JsonDeserializer`, `PatternConverter.JsonDeserializer`, `ZonedDateTimeConverter.JsonDeserializer`, `ZoneIdConverter.JsonDeserializer`

public class GenericJsonDeserializer<T> extends com.fasterxml.jackson.databind.JsonDeserializer<T>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

  `com.fasterxml.jackson.databind.JsonDeserializer.None`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenericJsonDeserializer(Class<T> type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `deserialize(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt)`

  ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

  `deserialize, deserializeWithType, deserializeWithType, findBackReference, getAbsentValue, getDelegatee, getEmptyAccessPattern, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getNullValue, getObjectIdReader, handledType, isCachable, logicalType, replaceDelegatee, supportsUpdate, unwrappingDeserializer`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GenericJsonDeserializer

    public GenericJsonDeserializer(Class<T> type)

- ## Method Details

  - ### deserialize

    public T deserialize(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt) throws IOException
    Specified by:
      `deserialize` in class `com.fasterxml.jackson.databind.JsonDeserializer<T>`
    Throws:
      `IOException`